package com.mortals.xhx.busiz.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.xhx.busiz.BaseReq;
import lombok.Data;

import java.util.Date;


@Data
public class AttendSaveReq extends BaseReq {
    /**
     * 所属考勤组ID
     */
    private Long attendanceGroupId;
    /**
     * 所属考勤组名称
     */
    private String attendanceGroupName;
    /**
     * 考勤时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date attendanceDate;

    /**
     * 异常时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date errorTime;
    /**
     * 上下班时间
     */
    private String goOffTimeStr;
    /**
     * 实际打卡时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date actualAttendTime;
    /**
     * 异常处理结果
     */
    private String errorResult;


    /**
     * 扩展字段
     */
    private String ext;


}
