package com.mortals.xhx.module.check.dao.ibatis;


import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.check.dao.CheckAttendRecordDao;
import com.mortals.xhx.module.check.model.CheckAttendRecordEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 考勤绩效记录核查信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-07-10
*/
@Repository("checkAttendRecordDao")
public class CheckAttendRecordDaoImpl extends BaseCRUDDaoMybatis<CheckAttendRecordEntity,Long> implements CheckAttendRecordDao {


    @Override
    public List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getSummaryCheckList"), query);
    }
}
