package com.mortals.xhx.module.check.dao.ibatis;


import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.check.dao.CheckGoworkRecordDao;
import com.mortals.xhx.module.check.model.CheckGoworkRecordEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 办件绩效核查信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-07-11
*/
@Repository("checkGoworkRecordDao")
public class CheckGoworkRecordDaoImpl extends BaseCRUDDaoMybatis<CheckGoworkRecordEntity,Long> implements CheckGoworkRecordDao {


    @Override
    public List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getSummaryCheckList"), query);
    }
}
