package com.mortals.xhx.module.check.dao.ibatis;


import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;
import org.springframework.stereotype.Repository;
import com.mortals.xhx.module.check.dao.CheckOtherRecordDao;
import com.mortals.xhx.module.check.model.CheckOtherRecordEntity;
import java.util.Date;
import com.mortals.framework.dao.ibatis.BaseCRUDDaoMybatis;
import java.util.List;
/**
* 其它绩效核查信息DaoImpl DAO接口
*
* @author zxfei
* @date 2023-07-11
*/
@Repository("checkOtherRecordDao")
public class CheckOtherRecordDaoImpl extends BaseCRUDDaoMybatis<CheckOtherRecordEntity,Long> implements CheckOtherRecordDao {


    @Override
    public List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query) {
        return this.getSqlSession().selectList(this.getSqlId("getSummaryCheckList"), query);
    }
}
