package com.mortals.xhx.busiz.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.xhx.busiz.BaseReq;
import lombok.Data;

import java.util.Date;


@Data
public class ComplainSaveReq extends BaseReq {


    /**
     * 投诉标题
     */
    private String complainTitle;
    /**
     * 投诉内容
     */
    private String complainContent;
    /**
     * 投诉人真实姓名
     */
    private String complainRealName;
    /**
     * 联系电话
     */
    private String contact;
    /**
     * 投诉时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date complainTime;
    /**
     * 投诉来源
     */
    private String complainSource;
    /**
     * 投诉设备
     */

    private String complainDevice;



}
