package com.mortals.xhx.busiz.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.xhx.busiz.BaseReq;
import lombok.Data;

import java.util.Date;


@Data
public class EffectSaveReq extends BaseReq {
    /**
     * 违规类型(1.脱岗,2.离岗,3.玩手机,4.睡觉)
     */
    private Integer irregularType;
    /**
     * 发生时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date happenTime;
    /**
     * 持续时间，秒
     */
    private Integer duration;
    /**
     * 报警时间
     */
    private Date alarmTime;
}
