package com.mortals.xhx.busiz.req;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.xhx.busiz.BaseReq;
import lombok.Data;

import java.util.Date;


@Data
public class OtherSaveReq extends BaseReq {

    /**
     * 违规类型(1.工作纪律)
     */
    private Integer irregularOtherType;
    /**
     * 发生时间
     */
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss")
    private Date happenTime;

    /**
     * 评分标准
     */
    private String ruleDesc;

    /**
     * 扩展字段
     */
    private String ext;

}
