package com.mortals.xhx.busiz.rsp;

import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class PerformInfo {

    /**
     * id
     */
    private Long id;

    private Long staffId;

    private String staffName;

    private String workNum;

    /**
     * 标题
     */
    private String title;

    /**
     * 扣分方式(1.系统自动,2.人工添加,3.大厅巡查)
     */
    private Integer subMethod;
    /**
     * 扣分时间
     */
    private Date happenTime;
    /**
     * 绩效规则id
     */
    private Long ruleId;
    /**
     * 规则名称
     */
    private String ruleName;

    /**
     * 评分标准
     */
    private String ruleDesc;

    /**
     * 增减类型(1.增加,2.扣除)
     */
    private Integer subAddType;
    /**
     * 扣分或增加分值
     */
    private BigDecimal score;

    /**
     * 类型
     */
    private String performType;

    /**
     * 申诉状态(0.未申诉,1.申诉中,2.申诉拒绝,3.申诉通过)
     */
    private Integer appealStatus;


}
