package com.mortals.xhx.module.check.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.check.model.CheckAttendRecordEntity;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;

import java.util.List;
/**
* 考勤绩效记录核查信息Dao
* 考勤绩效记录核查信息 DAO接口
*
* @author zxfei
* @date 2023-07-10
*/

public interface  CheckAttendRecordDao extends ICRUDDao<CheckAttendRecordEntity,Long>{

    /**
     * 汇总已审核的核查记录
     * @param query
     * @return
     */
    List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query);
}
