package com.mortals.xhx.module.check.dao;

import com.mortals.framework.dao.ICRUDDao;
import com.mortals.xhx.module.check.model.CheckReviewRecordEntity;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryQuery;
import com.mortals.xhx.module.check.model.vo.StaffCheckSummaryVo;

import java.util.List;
/**
* 评价差评绩效核查信息Dao
* 评价差评绩效核查信息 DAO接口
*
* @author zxfei
* @date 2023-07-11
*/

public interface  CheckReviewRecordDao extends ICRUDDao<CheckReviewRecordEntity,Long>{

    /**
     * 汇总已审核的核查记录
     * @param query
     * @return
     */
    List<StaffCheckSummaryVo> summaryCheck(StaffCheckSummaryQuery query);
}
