package com.mortals.xhx.module.feedback.model.vo;

import lombok.Data;

/**
 * 问卷单选多选反馈统计视图
 */
@Data
public class OptionSummaryVo {

    /**
     * 问题id号
     */
    private Long questionId;
    /**
     * 反馈问卷id号
     */
    private Long feedbackId;
    /**
     * 问题内容
     */
    private String question;
    /**
     * 问题类型 (1.单项选择,2.多项选择,3.文本框,4.多项文本框,5.文字,6.上传附件)
     */
    private Integer questionType;
    /**
     * 选项id号
     */
    private Long optionId;
    /**
     * 选项内容
     */
    private String optionContent;
    /**
     * 选项统计
     */
    private Integer optionCount;
}
